List Manifests | ShipEngine
🎉ShipEngine is becoming ShipStation API🎉
Over the next few months you'll notice the ShipEngine website, documentation portal, and dashboard being rebranded as ShipStation API. For our ShipEngine customers, you don't need to take any action or change any of your integrations in any way. All endpoints will remain the same and continue to function as they always have.
To learn more about what's coming, review our New ShipStation API page.
List Manifests
Similar to querying shipments, we allow you to query manifests since there will likely be a large number over a long period of time.
| Query Parameter | Description |
|---|---|
| warehouse_id | string |
| carrier_id | string |
| label_ids | string |
| ship_date_start | date string, ( ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
| ship_date_end | date string, ( ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
| create_date_start | date string, ( ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
| create_date_end | date string, ( ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
Example
GET /v1/manifests
HTTPcURLC#JavaScriptNodeJSPHPPythonRubyJavaGoSwiftObjective-CPowerShell
1
2
3
GET /v1/manifests?warehouse_id=11921&carrier_id=se-123890 HTTP/1.1